Module javafx.graphics
Package javafx.scene.effect

## Class Effect

- java.lang.Object
- - javafx.scene.effect.Effect

- Direct Known Subclasses:
    `Blend`, `Bloom`, `BoxBlur`, `ColorAdjust`, `ColorInput`, `DisplacementMap`, `DropShadow`, `GaussianBlur`, `Glow`, `ImageInput`, `InnerShadow`, `Lighting`, `MotionBlur`, `PerspectiveTransform`, `Reflection`, `SepiaTone`, `Shadow`

      public abstract class Effect
      extends Object

  The abstract base class for all effect implementations. An effect is a graphical algorithm that produces an image, typically as a modification of a source image. An effect can be associated with a scene graph `Node` by setting the `Node.effect` attribute. Some effects change the color properties of the source pixels (such as `ColorAdjust`), others combine multiple images together (such as `Blend`), while still others warp or move the pixels of the source image around (such as `DisplacementMap` or `PerspectiveTransform`). All effects have at least one input defined and the input can be set to another effect to chain the effects together and combine their results, or it can be left unspecified in which case the effect will operate on a graphical rendering of the node it is attached to.

  Note: this is a conditional feature. See `ConditionalFeature.EFFECT` for more information.

  Since:
    JavaFX 2.0

- - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `Effect()` | Creates a new Effect.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Effect

          protected Effect()

      Creates a new Effect.